<script setup lang="ts">
import { Popover as ShadcnPopover } from '@/components/core/popover';
import type { UiPopoverProps } from './types';

defineOptions({
  name: 'UiPopover',
});

defineProps<UiPopoverProps>();
const open = defineModel<boolean>('open');
</script>

<template>
  <ShadcnPopover v-model:open="open" :modal="$props.modal">
    <slot />
  </ShadcnPopover>
</template>
